Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcSerialize.h File Reference

簡易シリアライズ、デシリアライズ More...

`#include "dkcOSIndependent.h"`

Include dependency graph for dkcSerialize.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | dkc_Serialize
struct | dkc_Deserialize
## Typedefs
typedef dkc_Serialize | DKC_SERIALIZE
typedef dkc_Deserialize | DKC_DESERIALIZE
typedef int(CALLBACK * | DKC_SERIALIZE_F_TYPE )(DKC_SERIALIZE *)
## Enumerations
enum | edkcSerialize { edkcSerializeBufferMode = 0x01, edkcSerializeFileMode = 0x02, edkcSerializeIDStack = 'stac', edkcSerializeIDQueue = 'queu', edkcSerializeIDString = 'stri', edkcSerializeIDBuffer = 'buff', edkcSerializeIDMemoryStream = 'mstr', edkcSerializeIDCircularMemoryStream = 'cmst', edkcSerializeIDSingleList = 'slis', edkcSerializeID2Tree = '2tre', edkcSerializeIDSingleListObject = 'slio' }
## Functions
DKC_EXTERN DKC_SERIALIZE *WINAPI | dkcAllocSerialize (UINT mode, const char *filename)
DKC_EXTERN int WINAPI | dkcFreeSerialize (DKC_SERIALIZE **ptr)
DKC_EXTERN DKC_DESERIALIZE *WINAPI | dkcAllocDeserialize (UINT mode, const char *filename)
DKC_EXTERN int WINAPI | dkcFreeDeserialize (DKC_DESERIALIZE **)
DKC_EXTERN int WINAPI | dkcDeserializeRead (DKC_DESERIALIZE *ptr, void *data, size_t size, size_t *readsize)
DKC_EXTERN int WINAPI | dkcSerializeWrite (DKC_SERIALIZE *ptr, const void *data, size_t size)

## Detailed Description

簡易シリアライズ、デシリアライズ

d金魚

Since:
  2004/3/xx

## Typedef Documentation

typedef struct dkc_Deserialize DKC_DESERIALIZE

| デシリアライズ構造体

typedef struct dkc_Serialize DKC_SERIALIZE

| シリアライズ構造体

typedef int(CALLBACK * DKC_SERIALIZE_F_TYPE)(DKC_SERIALIZE *)

## Enumeration Type Documentation

enum edkcSerialize

  | Enumeration values:
  edkcSerializeBufferMode |
  edkcSerializeFileMode |
  edkcSerializeIDStack | DKC_STACKのID.
  edkcSerializeIDQueue | DKC_QUEUEのID.
  edkcSerializeIDString |
  edkcSerializeIDBuffer |
  edkcSerializeIDMemoryStream |
  edkcSerializeIDCircularMemoryStream |
  edkcSerializeIDSingleList |
  edkcSerializeID2Tree |
  edkcSerializeIDSingleListObject |

## Function Documentation

DKC_EXTERN DKC_DESERIALIZE* WINAPI dkcAllocDeserialize | ( | UINT | mode,
|  | const char * | filename
| ) |

DKC_EXTERN DKC_SERIALIZE* WINAPI dkcAllocSerialize | ( | UINT | mode,
|  | const char * | filename
| ) |

DKC_EXTERN int WINAPI dkcDeserializeRead | ( | DKC_DESERIALIZE * | ptr,
|  | void * | data,
|  | size_t | size,
|  | size_t * | readsize
| ) |

DKC_EXTERN int WINAPI dkcFreeDeserialize | ( | DKC_DESERIALIZE ** |  | ) |

DKC_EXTERN int WINAPI dkcFreeSerialize | ( | DKC_SERIALIZE ** | ptr | ) |

| DKC_SERIALIZEをデリート dkcAllocSerializeと対。

DKC_EXTERN int WINAPI dkcSerializeWrite | ( | DKC_SERIALIZE * | ptr,
|  | const void * | data,
|  | size_t | size
| ) |